aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-gnome/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2011-10-31 10:07:11 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2011-10-31 10:07:11 +0000
commit619d24e8e8c65c685b645d465caea6d5efc318d6 (patch)
treea9fea7b323d2e8aa4c7499c86a4bbe578fb915be /testing/py-gnome/APKBUILD
parent40f177d0cd30b4a3dd68ec1b394bf4fbc15db002 (diff)
downloadaports-619d24e8e8c65c685b645d465caea6d5efc318d6.tar.gz
aports-619d24e8e8c65c685b645d465caea6d5efc318d6.tar.bz2
aports-619d24e8e8c65c685b645d465caea6d5efc318d6.tar.xz
testing/py-gnome: new aport
Python support for GNOME
Diffstat (limited to 'testing/py-gnome/APKBUILD')
-rw-r--r--testing/py-gnome/APKBUILD72
1 files changed, 72 insertions, 0 deletions
diff --git a/testing/py-gnome/APKBUILD b/testing/py-gnome/APKBUILD
new file mode 100644
index 0000000000..7c1776132a
--- /dev/null
+++ b/testing/py-gnome/APKBUILD
@@ -0,0 +1,72 @@
+# Contributor:
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=py-gnome
+_realname=gnome-python
+pkgver=2.28.1
+_basever=2.28
+pkgrel=0
+pkgdesc="Python interface to GNOME libraries"
+url="http://pygtk.org"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev="gtk+-dev libgnome-dev py-gobject-dev py-gtk-dev python-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-bonobo $pkgname-libgnome $pkgname-gconf\
+ $pkgname-gnomevfs"
+source="http://ftp.gnome.org/pub/gnome/sources/$_realname/$_basever/$_realname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install-pkgconfigDATA || return 1
+ find $pkgdir -iname *.la -delete
+}
+
+gconf() {
+ pkgdesc="Python bindings for interfacing with GConf"
+ cd "$_builddir"
+ make -C gconf DESTDIR=$subpkgdir install || return 1
+}
+
+bonobo() {
+ pkgdesc="Python bindings for interfacing with Bonobo"
+ cd "$_builddir"
+ make -C bonobo DESTDIR=$subpkgdir install || return 1
+}
+
+libgnome() {
+ pkgdesc="Python bindings for libgnome"
+ cd "$_builddir"
+ make -C gnome DESTDIR=$subpkgdir install || return 1
+}
+
+# Temporarily disabled as it does not build
+#gnomecanvas() {
+# pkgdesc="Python bindings for the GNOME Canvas"
+# cd "$_builddir"
+# make -C gnomecanvas DESTDIR=$subpkgdir install || return 1
+#}
+
+gnomevfs() {
+ pkgdesc="Python bindings for interacting with gnome-vfs"
+ cd "$_builddir"
+ make -C gnomevfs DESTDIR=$subpkgdir install || return 1
+}
+
+md5sums="a17ad952813ed86f520de8e07194a2bf gnome-python-2.28.1.tar.bz2"